Name:		nvme-cli
Version:	1.11.2
Release:	%mkrel 1
Summary:	NVMe command line interface
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://github.com/linux-nvme/nvme-cli
Source0:	https://github.com/linux-nvme/%{name}/archive/%{name}-%{version}.tar.xz
BuildRequires: lib64uuid-devel

%description
nvme-cli is a NVM-Express user space tooling for Linux.

%prep
%setup -q

%build
%make_build PREFIX=%{_prefix} CFLAGS="%{optflags} -I." LDFLAGS="%{ldflags}"

%install
rm -rf %buildroot
%make_install PREFIX=%{_prefix}

%files
%doc README.md
%{_sysconfdir}/nvme/discovery.conf
%{_sysconfdir}/nvme/hostid
%{_sysconfdir}/nvme/hostnqn
%{_sbindir}/nvme
%{_mandir}/man1/*
%{_datadir}/bash-completion/completions/nvme
%{_datadir}/zsh/site-functions/_nvme

%exclude %{_sysconfdir}/udev/rules.d/70-nvmf-autoconnect.rules
%exclude %{_sysconfdir}/udev/rules.d/71-nvmf-iopolicy-netapp.rules
%exclude %{_prefix}/lib/dracut/dracut.conf.d/70-nvmf-autoconnect.conf
%exclude %{_prefix}/lib/systemd/system/nvmefc-boot-connections.service
%exclude %{_prefix}/lib/systemd/system/nvmf-autoconnect.service
%exclude %{_prefix}/lib/systemd/system/nvmf-connect.target
%exclude %{_prefix}/lib/systemd/system/nvmf-connect@.service

%changelog
* Mon Jun 08 2020 tex - 1.11.2-1pclos2020
- create
